For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Brands
        • Categories
        • Category Trees
        • Products
        • Product Modifiers
            • GETList Product Modifiers
            • POSTCreate Product Modifier
            • GETGet Product Modifier
            • PUTUpdate Product Modifier
            • DELDelete Product Modifier
              • GETList Product Modifier Values
              • POSTCreate Product Modifier Value
              • GETGet Product Modifier Value
              • PUTUpdate Product Modifier Value
              • DELDelete Product Modifier Value
        • Product Variants
        • Product Variant Options
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminCatalogProduct ModifiersValues

List Product Modifier Values

GET
https://api.bigcommerce.com/stores/:store_hash/v3/catalog/products/:product_id/modifiers/:modifier_id/values
GET
/stores/:store_hash/v3/catalog/products/:product_id/modifiers/:modifier_id/values
$curl https://api.bigcommerce.com/stores/store_hash/v3/catalog/products/1/modifiers/1/values \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json"
200Response
1{
2 "data": [
3 {
4 "adjusters": {
5 "price": {
6 "adjuster": "relative",
7 "adjuster_value": 5
8 },
9 "weight": {},
10 "image_url": "",
11 "purchasing_disabled": {
12 "status": false,
13 "message": ""
14 }
15 },
16 "id": 190,
17 "is_default": false,
18 "label": "Yes",
19 "option_id": 222,
20 "sort_order": 0,
21 "value_data": {
22 "checked_value": true
23 }
24 },
25 {
26 "adjusters": {
27 "price": {},
28 "weight": {},
29 "image_url": "",
30 "purchasing_disabled": {
31 "status": false,
32 "message": ""
33 }
34 },
35 "id": 191,
36 "is_default": true,
37 "label": "No",
38 "option_id": 222,
39 "sort_order": 1,
40 "value_data": {
41 "checked_value": false
42 }
43 }
44 ],
45 "meta": {
46 "pagination": {
47 "total": 2,
48 "count": 2,
49 "per_page": 50,
50 "current_page": 1,
51 "total_pages": 1,
52 "links": {
53 "current": "?page=1&limit=50"
54 }
55 }
56 }
57}

Returns a list of all product Modifier Values. Optional parameters can be passed in.

Was this page helpful?
Previous

Create Product Modifier Image

Next

Create Product Modifier Value

Built with

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Products | modify | `store_v2_products` | | Products | read-only | `store_v2_products_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

product_idintegerRequired
The ID of the product to which the resource belongs.
modifier_idintegerRequired
The ID of the product modifier.
store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json
The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

Query parameters

include_fieldslist of stringsOptional

Fields to include, in a comma-separated list. The ID and the specified fields will be returned.

exclude_fieldslist of stringsOptional

Fields to exclude, in a comma-separated list. The specified fields will be excluded from a response. The ID cannot be excluded.

pageintegerOptional

Specifies the page number in a limited (paginated) list of products.

limitintegerOptional<=250Defaults to 50

Controls the number of items per page in a limited (paginated) list of products.

Response

datalist of objects
metaobject
Data about the response, including pagination and collection totals.

OAuth scopes

UI NamePermissionParameter
Productsmodifystore_v2_products
Productsread-onlystore_v2_products_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

The MIME type of the response body.